import request from '@/utils/request'

// 查询告警记录列表
export function listRecord(query) {
  return request({
    url: '/base/record/list',
    method: 'get',
    params: query
  })
}

// 查询告警记录详细
export function getRecord(alertId) {
  return request({
    url: '/base/record/' + alertId,
    method: 'get'
  })
}

// 新增告警记录
export function addRecord(data) {
  return request({
    url: '/base/record',
    method: 'post',
    data: data
  })
}

// 修改告警记录
export function updateRecord(data) {
  return request({
    url: '/base/record',
    method: 'put',
    data: data
  })
}

// 删除告警记录
export function delRecord(alertId) {
  return request({
    url: '/base/record/' + alertId,
    method: 'delete'
  })
}
